Bug 975091 - empathy: high CPU usage on network error
empathy: high CPU usage on network error
Status: CLOSED DUPLICATE of bug 902075
Product: Fedora
Classification: Fedora
Component: telepathy-idle (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Brian Pepple
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-17 11:43 EDT by Zbigniew Jędrzejewski-Szmek
Modified: 2013-10-14 09:46 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-14 09:45:58 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Zbigniew Jędrzejewski-Szmek 2013-06-17 11:43:54 EDT
Description of problem:
Empathy uses 16% CPU to show a static window when a "network error" occurs.

Version-Release number of selected component (if applicable):
empathy-3.8.3-1.fc19.x86_64

How reproducible:
Don't know yet.

Additional info:
$ strace -p $(pidof empathy) -ttt:

1371483454.012349 recvfrom(6, "\241 y\370\v\0@\4g\1\0\0\224f\2\0\0\0\0\0\0\0\0\0\33A\0\0\320\7\0\0", 4096, 0, NULL, NULL) = 32
1371483454.012383 writev(6, [{"\206\3\4\0\16\0@\4\0\0\0\0\225f\2\0005\30\4\0O\177K\4\v\0@\4\20\0 \0"..., 3284}, {NULL, 0}, {"", 0}], 3) = 3284
1371483454.012424 recvfrom(6, 0xce89a4, 4096, 0, 0, 0) = -1 EAGAIN (Resource temporarily unavailable)
1371483454.012468 poll([{fd=5, events=POLLIN}, {fd=6, events=POLLIN}, {fd=15, events=POLLIN}, {fd=3, events=POLLIN}, {fd=14, events=POLLIN}, {fd=11, events=POLLIN}], 6, 0) = 0 (Timeout)
1371483454.012524 recvfrom(6, 0xce89a4, 4096, 0, 0, 0) = -1 EAGAIN (Resource temporarily unavailable)
1371483454.012556 recvfrom(6, 0xce89a4, 4096, 0, 0, 0) = -1 EAGAIN (Resource temporarily unavailable)
1371483454.012586 poll([{fd=5, events=POLLIN}, {fd=6, events=POLLIN}, {fd=15, events=POLLIN}, {fd=3, events=POLLIN}, {fd=14, events=POLLIN}, {fd=11, events=POLLIN}], 6, 4294967295) = 1 ([{fd=6, revents=POLLIN}])
1371483454.049866 recvfrom(6, "\241 \232\370\v\0@\4f\1\0\0\226f\2\0\0\0\0\0\247p\342\247v\0\0\0\0\0\0\0", 4096, 0, NULL, NULL) = 32
1371483454.049964 recvfrom(6, 0xce89a4, 4096, 0, 0, 0) = -1 EAGAIN (Resource temporarily unavailable)
1371483454.050051 recvfrom(6, 0xce89a4, 4096, 0, 0, 0) = -1 EAGAIN (Resource temporarily unavailable)
1371483454.050095 recvfrom(6, 0xce89a4, 4096, 0, 0, 0) = -1 EAGAIN (Resource temporarily unavailable)
1371483454.050168 poll([{fd=5, events=POLLIN}, {fd=6, events=POLLIN}, {fd=15, events=POLLIN}, {fd=3, events=POLLIN}, {fd=14, events=POLLIN}, {fd=11, events=POLLIN}], 6, 0) = 0 (Timeout)
1371483454.050669 poll([{fd=6, events=POLLIN|POLLOUT}], 1, 4294967295) = 1 ([{fd=6, revents=POLLOUT}])
1371483454.050732 writev(6, [{"\206\3\4\0\16\0@\4\0\0\0\0\227f\2\0005\30\4\0Y\177K\4\v\0@\4\20\0 \0"..., 3284}, {NULL, 0}, {"", 0}], 3) = 3284
1371483454.050788 recvfrom(6, 0xce89a4, 4096, 0, 0, 0) = -1 EAGAIN (Resource temporarily unavailable)
1371483454.050877 poll([{fd=5, events=POLLIN}, {fd=6, events=POLLIN}, {fd=15, events=POLLIN}, {fd=3, events=POLLIN}, {fd=14, events=POLLIN}, {fd=11, events=POLLIN}], 6, 4294967295) = 1 ([{fd=6, revents=POLLIN}])
1371483454.059848 recvfrom(6, "\241 \273\370\v\0@\4g\1\0\0\226f\2\0\0\0\0\0\0\0\0\0\33A\0\0\320\7\0\0", 4096, 0, NULL, NULL) = 32
1371483454.059902 recvfrom(6, 0xce89a4, 4096, 0, 0, 0) = -1 EAGAIN (Resource temporarily unavailable)
1371483454.060120 recvfrom(6, 0xce89a4, 4096, 0, 0, 0) = -1 EAGAIN (Resource temporarily unavailable)
1371483454.060163 recvfrom(6, 0xce89a4, 4096, 0, 0, 0) = -1 EAGAIN (Resource temporarily unavailable)
1371483454.060299 poll([{fd=5, events=POLLIN}, {fd=6, events=POLLIN}, {fd=15, events=POLLIN}, {fd=3, events=POLLIN}, {fd=14, events=POLLIN}, {fd=11, events=POLLIN}], 6, 4294967295) = 1 ([{fd=6, revents=POLLIN}])
1371483454.060364 recvfrom(6, "\241 \273\370\v\0@\4f\1\0\0\230f\2\0\0\0\0\0\333\231\342\247v\0\0\0\0\0\0\0", 4096, 0, NULL, NULL) = 32
1371483454.060396 recvfrom(6, 0xce89a4, 4096, 0, 0, 0) = -1 EAGAIN (Resource temporarily unavailable)
1371483454.060482 recvfrom(6, 0xce89a4, 4096, 0, 0, 0) = -1 EAGAIN (Resource temporarily unavailable)
1371483454.060515 recvfrom(6, 0xce89a4, 4096, 0, 0, 0) = -1 EAGAIN (Resource temporarily unavailable)
1371483454.060644 poll([{fd=5, events=POLLIN}, {fd=6, events=POLLIN}, {fd=15, events=POLLIN}, {fd=3, events=POLLIN}, {fd=14, events=POLLIN}, {fd=11, events=POLLIN}], 6, 0) = 0 (Timeout)
1371483454.061141 poll([{fd=6, events=POLLIN|POLLOUT}], 1, 4294967295) = 1 ([{fd=6, revents=POLLOUT}])
1371483454.061182 writev(6, [{"\206\3\4\0\16\0@\4\0\0\0\0\231f\2\0005\30\4\0c\177K\4\v\0@\4\20\0 \0"..., 3284}, {NULL, 0}, {"", 0}], 3) = 3284
1371483454.061233 recvfrom(6, 0xce89a4, 4096, 0, 0, 0) = -1 EAGAIN (Resource temporarily unavailable)
1371483454.061282 poll([{fd=5, events=POLLIN}, {fd=6, events=POLLIN}, {fd=15, events=POLLIN}, {fd=3, events=POLLIN}, {fd=14, events=POLLIN}, {fd=11, events=POLLIN}], 6, 4294967295) = 1 ([{fd=6, revents=POLLIN}])
1371483454.065104 recvfrom(6, "\241 \334\370\v\0@\4g\1\0\0\230f\2\0\0\0\0\0\0\0\0\0\33A\0\0\320\7\0\0", 4096, 0, NULL, NULL) = 32
1371483454.065157 recvfrom(6, 0xce89a4, 4096, 0, 0, 0) = -1 EAGAIN (Resource temporarily unavailable)
1371483454.065216 recvfrom(6, 0xce89a4, 4096, 0, 0, 0) = -1 EAGAIN (Resource temporarily unavailable)
1371483454.065296 recvfrom(6, 0xce89a4, 4096, 0, 0, 0) = -1 EAGAIN (Resource temporarily unavailable)
1371483454.065327 poll([{fd=5, events=POLLIN}, {fd=6, events=POLLIN}, {fd=15, events=POLLIN}, {fd=3, events=POLLIN}, {fd=14, events=POLLIN}, {fd=11, events=POLLIN}], 6, 4294967295) = 1 ([{fd=6, revents=POLLIN}])
1371483454.065582 recvfrom(6, "\241 \334\370\v\0@\4f\1\0\0\232f\2\0\0\0\0\0s\256\342\247v\0\0\0\0\0\0\0", 4096, 0, NULL, NULL) = 32
1371483454.065615 recvfrom(6, 0xce89a4, 4096, 0, 0, 0) = -1 EAGAIN (Resource temporarily unavailable)
1371483454.065653 recvfrom(6, 0xce89a4, 4096, 0, 0, 0) = -1 EAGAIN (Resource temporarily unavailable)
1371483454.065685 recvfrom(6, 0xce89a4, 4096, 0, 0, 0) = -1 EAGAIN (Resource temporarily unavailable)
1371483454.065715 poll([{fd=5, events=POLLIN}, {fd=6, events=POLLIN}, {fd=15, events=POLLIN}, {fd=3, events=POLLIN}, {fd=14, events=POLLIN}, {fd=11, events=POLLIN}], 6, 0) = 0 (Timeout)
1371483454.066103 poll([{fd=6, events=POLLIN|POLLOUT}], 1, 4294967295) = 1 ([{fd=6, revents=POLLOUT}])
1371483454.066137 writev(6, [{"\206\3\4\0\16\0@\4\0\0\0\0\233f\2\0005\30\4\0m\177K\4\v\0@\4\20\0 \0"..., 3284}, {NULL, 0}, {"", 0}], 3) = 3284
1371483454.066183 recvfrom(6, 0xce89a4, 4096, 0, 0, 0) = -1 EAGAIN (Resource temporarily unavailable)
1371483454.066218 poll([{fd=5, events=POLLIN}, {fd=6, events=POLLIN}, {fd=15, events=POLLIN}, {fd=3, events=POLLIN}, {fd=14, events=POLLIN}, {fd=11, events=POLLIN}], 6, 4294967295) = 1 ([{fd=6, revents=POLLIN}])
1371483454.086535 recvfrom(6, "\241 \375\370\v\0@\4g\1\0\0\232f\2\0\0\0\0\0\0\0\0\0\33A\0\0\320\7\0\0", 4096, 0, NULL, NULL) = 32
1371483454.086627 recvfrom(6, 0xce89a4, 4096, 0, 0, 0) = -1 EAGAIN (Resource temporarily unavailable)
1371483454.086751 recvfrom(6, 0xce89a4, 4096, 0, 0, 0) = -1 EAGAIN (Resource temporarily unavailable)
1371483454.086801 recvfrom(6, 0xce89a4, 4096, 0, 0, 0) = -1 EAGAIN (Resource temporarily unavailable)
1371483454.086840 poll([{fd=5, events=POLLIN}, {fd=6, events=POLLIN}, {fd=15, events=POLLIN}, {fd=3, events=POLLIN}, {fd=14, events=POLLIN}, {fd=11, events=POLLIN}], 6, 4294967295) = 1 ([{fd=6, revents=POLLIN}])
1371483454.087599 recvfrom(6, "\241 \375\370\v\0@\4f\1\0\0\234f\2\0\0\0\0\0\200\4\343\247v\0\0\0\0\0\0\0", 4096, 0, NULL, NULL) = 32
1371483454.087631 recvfrom(6, 0xce89a4, 4096, 0, 0, 0) = -1 EAGAIN (Resource temporarily unavailable)
1371483454.087677 recvfrom(6, 0xce89a4, 4096, 0, 0, 0) = -1 EAGAIN (Resource temporarily unavailable)
1371483454.087718 recvfrom(6, 0xce89a4, 4096, 0, 0, 0) = -1 EAGAIN (Resource temporarily unavailable)
1371483454.087758 poll([{fd=5, events=POLLIN}, {fd=6, events=POLLIN}, {fd=15, events=POLLIN}, {fd=3, events=POLLIN}, {fd=14, events=POLLIN}, {fd=11, events=POLLIN}], 6, 0) = 0 (Timeout)
1371483454.088248 poll([{fd=6, events=POLLIN|POLLOUT}], 1, 4294967295) = 1 ([{fd=6, revents=POLLOUT}])
1371483454.088299 writev(6, [{"\206\3\4\0\16\0@\4\0\0\0\0\235f\2\0005\30\4\0w\177K\4\v\0@\4\20\0 \0"..., 3284}, {NULL, 0}, {"", 0}], 3) = 3284
1371483454.088340 recvfrom(6, 0xce89a4, 4096, 0, 0, 0) = -1 EAGAIN (Resource temporarily unavailable)
1371483454.088377 poll([{fd=5, events=POLLIN}, {fd=6, events=POLLIN}, {fd=15, events=POLLIN}, {fd=3, events=POLLIN}, {fd=14, events=POLLIN}, {fd=11, events=POLLIN}], 6, 4294967295) = 1 ([{fd=6, revents=POLLIN}])
1371483454.098232 recvfrom(6, "\241 \36\371\v\0@\4g\1\0\0\234f\2\0\0\0\0\0\0\0\0\0\33A\0\0\320\7\0\0", 4096, 0, NULL, NULL) = 32
1371483454.098460 recvfrom(6, 0xce89a4, 4096, 0, 0, 0) = -1 EAGAIN (Resource temporarily unavailable)
1371483454.098524 recvfrom(6, 0xce89a4, 4096, 0, 0, 0) = -1 EAGAIN (Resource temporarily unavailable)
1371483454.098559 recvfrom(6, 0xce89a4, 4096, 0, 0, 0) = -1 EAGAIN (Resource temporarily unavailable)
1371483454.098589 poll([{fd=5, events=POLLIN}, {fd=6, events=POLLIN}, {fd=15, events=POLLIN}, {fd=3, events=POLLIN}, {fd=14, events=POLLIN}, {fd=11, events=POLLIN}], 6, 4294967295) = 1 ([{fd=6, revents=POLLIN}])
1371483454.098707 recvfrom(6, "\241 \36\371\v\0@\4f\1\0\0\236f\2\0\0\0\0\0\326/\343\247v\0\0\0\0\0\0\0", 4096, 0, NULL, NULL) = 32
1371483454.098745 recvfrom(6, 0xce89a4, 4096, 0, 0, 0) = -1 EAGAIN (Resource temporarily unavailable)
1371483454.098788 recvfrom(6, 0xce89a4, 4096, 0, 0, 0) = -1 EAGAIN (Resource temporarily unavailable)
1371483454.098820 recvfrom(6, 0xce89a4, 4096, 0, 0, 0) = -1 EAGAIN (Resource temporarily unavailable)

(seems to do that in a fairly tight loop)

$ lsof -p $(pidof empathy)
... mem ...
empathy 523 zbyszek    0r      CHR                1,3       0t0     1028 /dev/null
empathy 523 zbyszek    1u     unix 0xffff880861f816c0       0t0  1845506 socket
empathy 523 zbyszek    2u     unix 0xffff880861f85140       0t0  1845507 socket
empathy 523 zbyszek    3u     unix 0xffff8804684264c0       0t0  2729945 socket
empathy 523 zbyszek    4u  a_inode                0,9         0     6750 [eventfd]
empathy 523 zbyszek    5u  a_inode                0,9         0     6750 [eventfd]
empathy 523 zbyszek    6u     unix 0xffff8808671d1380       0t0  2722722 socket
empathy 523 zbyszek    7u     unix 0xffff88085a2f8d00       0t0  2718381 socket
empathy 523 zbyszek    8u  a_inode                0,9         0     6750 [eventfd]
empathy 523 zbyszek    9u      CHR              226,1       0t0     1512 /dev/dri/card1
empathy 523 zbyszek   10u  a_inode                0,9         0     6750 [eventfd]
empathy 523 zbyszek   11u     unix 0xffff88040e48db00       0t0  2721413 socket
empathy 523 zbyszek   12u  a_inode                0,9         0     6750 [eventfd]
empathy 523 zbyszek   13u      REG              253,2      5120  4063249 /home/zbyszek/.cache/telepathy/logger/sqlite-data
empathy 523 zbyszek   14u  netlink                          0t0  2718382 ROUTE
empathy 523 zbyszek   15r  a_inode                0,9         0     6750 inotify
empathy 523 zbyszek   16u     unix 0xffff88086845a080       0t0  2728246 socket
empathy 523 zbyszek   17u  a_inode                0,9         0     6750 [eventfd]
empathy 523 zbyszek   18u  a_inode                0,9         0     6750 [eventfd]
empathy 523 zbyszek   19u  a_inode                0,9         0     6750 [eventfd]

After the network connection is restored, CPU usage goes back to "0.0%", so the problem seems
to be tied to the network error. It is pretty annoying, because I'm also observing gnome-shell
and Xorg go crazy with CPU usage when empathy does, which puts quite a load on the system.
Comment 1 Jan Vlug 2013-06-21 03:42:18 EDT
See also bug 902075.
Comment 2 Brian Pepple 2013-10-14 09:46:33 EDT

*** This bug has been marked as a duplicate of bug 902075 ***

Note You need to log in before you can comment on or make changes to this bug.